Better error message if libtool is not installed
Fixes https://github.com/behdad/harfbuzz/pull/88
diff --git a/autogen.sh b/autogen.sh
index a267f29..a81d2aa 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -19,17 +19,22 @@
exit 1
}
+echo -n "checking for libtoolize... "
+which libtoolize || {
+ echo "*** No libtoolize (libtool) found, please install it ***"
+ exit 1
+}
echo -n "checking for gtkdocize... "
if which gtkdocize ; then
gtkdocize --copy || exit 1
else
- echo "*** No gtkdocize found, skipping documentation ***"
+ echo "*** No gtkdocize (gtk-doc) found, skipping documentation ***"
echo "EXTRA_DIST = " > gtk-doc.make
fi
echo -n "checking for autoreconf... "
which autoreconf || {
- echo "*** No autoreconf found, please install it ***"
+ echo "*** No autoreconf (autoconf) found, please install it ***"
exit 1
}